This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 436938 - djview3 dumps core after printing
djview3 dumps core after printing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: djvulibre (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 05:43 EDT by Zoltan Boszormenyi
Modified: 2009-01-09 01:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:09:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Boszormenyi 2008-03-11 05:43:40 EDT
Description of problem:

I wanted to print a page from a long document, pressing OK on the print dialog
makes the application window disappear. Verifying in a terminal:

$ djview3 longman\ -\ basic\ english\ grammar\ \(2nd\ ed\).djvu 
request id is HP_LaserJet_1020-106 (1 file(s))
Szegmens hiba (core dumped)

Version-Release number of selected component (if applicable):

djvulibre-3.5.19-4.fc8

How reproducible:

Always

Steps to Reproduce:
1. Open a .djvu file
2. Press File -> Print page
3. Watch it die
  
Actual results:

segmentation fault

Expected results:

no segmentation fault :-)

Additional info:

I couldn't get sensible backtrace despite having
djvulibre-debuginfo.x86-64 installed.

yum --enablerepo='*-debuginfo' list djvulibre*

Installed Packages
djvulibre.x86_64                         3.5.19-4.fc8           installed       
djvulibre-debuginfo.x86_64               3.5.20-2.fc9           installed       
Available Packages
djvulibre.i386                           3.5.19-4.fc8           fedora          
djvulibre-devel.i386                     3.5.19-4.fc8           fedora          
djvulibre-devel.x86_64                   3.5.19-4.fc8           fedora          

$ gdb /usr/bin/djview3 core.23065
...
(gdb) bt
#0  0x00002aaaaab0dd58 in DJVU::GPEnabled::destroy () from
/usr/lib64/libdjvulibre.so.15
#1  0x0000000000487514 in ?? ()
#2  0x0000003b842bdd99 in QDialog::qt_invoke () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#3  0x000000000042e059 in ?? ()
#4  0x000000000048d780 in ?? ()
#5  0x0000003b83f63c29 in QObject::activate_signal () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#6  0x0000003b83f64900 in QObject::activate_signal () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#7  0x0000003b83f9ac39 in QWidget::event () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#8  0x0000003b83f02b75 in QApplication::internalNotify () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#9  0x0000003b83f04020 in QApplication::notify () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#10 0x0000003b83ea1d2a in QETWidget::translateMouseEvent () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#11 0x0000003b83ea1119 in QApplication::x11ProcessEvent () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#12 0x0000003b83eb1074 in QEventLoop::processEvents () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#13 0x0000003b83f1a321 in QEventLoop::enterLoop () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x0000003b83f1a202 in QEventLoop::exec () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x00000000004c0238 in ?? ()
#16 0x00000035ce61e074 in __libc_start_main () from /lib64/libc.so.6
#17 0x0000000000422df9 in QButton::mouseMoveEvent ()
#18 0x00007fff5e7d3ab8 in ?? ()
#19 0x0000000000000000 in ?? ()
Comment 1 Bug Zapper 2008-11-26 05:07:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:09:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.